org.eclipse.wst.jsdt.debug.core.model

## Interface IScriptGroup

    public interface IScriptGroup

Container for a grouping of `ScriptReference`s

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List` `allScripts()` Returns the array of all `ScriptReference`s from the backing `IJavaScriptDebugTarget`.

### Method Detail

#### allScripts

    java.util.List allScripts()

Returns the array of all `ScriptReference`s from the backing `IJavaScriptDebugTarget`.
This method cannot return `null`

Returns:
  the complete list of `ScriptReference`s from the backing `IJavaScriptDebugTarget` or an empty array, never `null`